﻿
namespace MyCompany.Crt.Managers
{
    using Microsoft.ApplicationInsights;
    using System;
    using System.Threading.Tasks;

    public interface IExternalIdCacheAccessor
    {
        int GetOrCreate(string key, Func<string, int> factory, TimeSpan? absoluteExpirationRelativeToNow, TimeSpan? slidingExpiration, TelemetryClient logger);
    }
}
