﻿
namespace MyCompany.Crt.Managers
{
    using Microsoft.ApplicationInsights;
    using Microsoft.Dynamics.Commerce.Runtime.Messages;
    using System;
    using System.Threading.Tasks;

    public interface IResponseCacheAccessor
    {
        Response GetOrCreate(string key, Func<string, Response> factory, TimeSpan? absoluteExpirationRelativeToNow, TimeSpan? slidingExpiration, TelemetryClient logger);
    }
}
